import { Button } from '@material-ui/core'
import ecolyoIcon from 'assets/icons/ico/ecolyo.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useClient } from 'cozy-client'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import './challengeCardLast.scss'

declare let __SAU_IDEA_DIRECT_LINK__: string

const ChallengeCardLast = () => {
  const { t } = useI18n()
  const client = useClient()

  const handleClickFeedbacks = (): void => {
    window.open(
      `${__SAU_IDEA_DIRECT_LINK__}?version=${client.appMetadata.version}`
    )
  }

  return (
    <div className="cardLast">
      <StyledIcon icon={ecolyoIcon} size={62} />
      <div className="text-22-bold">{t('challenge.card_last.title')}</div>
      <div className="text-18-normal">{t('challenge.card_last.message1')}</div>
      <Button onClick={handleClickFeedbacks} className="btnSecondary">
        {t('challenge.card_last.button')}
      </Button>
    </div>
  )
}

export default ChallengeCardLast
