import { LinearProgress } from '@material-ui/core'
import React from 'react'
import './formProgress.scss'

const FormProgress = ({
  currentStep,
  totalSteps,
}: {
  currentStep: number
  /** When working with numeric enums, divide the result by 2, because a reverse mapping is generated. */
  totalSteps: number
}) => {
  const progress = Math.min(
    Math.round((currentStep / totalSteps) * 100) || 1,
    100
  )

  return (
    <div className="formProgress">
      <span>{progress}%</span>
      <div className="container">
        <LinearProgress variant="determinate" value={progress} />
      </div>
    </div>
  )
}

export default FormProgress
