import IconButton, { IconButtonProps } from '@material-ui/core/IconButton'
import StyledIconProps from 'components/CommonKit/Icon/StyledIcon'
import React from 'react'

interface StyledIconButtonProps extends IconButtonProps {
  icon: string
  sized?: number
}

const StyledIconButton = ({
  icon,
  sized = 16,
  ...props
}: StyledIconButtonProps) => {
  return (
    <IconButton {...props}>
      <StyledIconProps icon={icon} size={sized} />
    </IconButton>
  )
}

export default StyledIconButton
