import { Button } from '@material-ui/core'
import ElectricityBillIcon from 'assets/icons/visu/onboarding/electricity_bill.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import { FluidType } from 'enums'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import { setShowOfflineData } from 'store/chart/chart.slice'
import { useAppDispatch, useAppSelector } from 'store/hooks'

const SgeInit = () => {
  const { t } = useI18n()
  const navigate = useNavigate()
  const { fluidStatus } = useAppSelector(state => state.ecolyo.global)
  const currentFluidStatus = fluidStatus[FluidType.ELECTRICITY]
  const dispatch = useAppDispatch()

  return (
    <div className="connection-form">
      <h2 className="connection-form-title enedissgegrandlyon text-20-bold">
        {t(`auth.enedissgegrandlyon.title`)}
      </h2>
      <StyledIcon icon={ElectricityBillIcon} size={180} />
      <p
        className="connection-form-subtitle text-16-regular"
        dangerouslySetInnerHTML={{ __html: t(`auth.enedissgegrandlyon.bill`) }}
      />

      <div className="connection-form-button">
        <Button
          aria-label={t(`auth.enedissgegrandlyon.accessibility.connect`)}
          onClick={() => {
            navigate('/connect/electricity')
          }}
          className="btnPrimary"
        >
          {t(`auth.enedissgegrandlyon.connect`)}
        </Button>
        {currentFluidStatus.firstDataDate && (
          <Button
            className="btnSecondary"
            onClick={() => dispatch(setShowOfflineData(true))}
          >
            {t('auth.button_showOfflineData')}
          </Button>
        )}
      </div>
    </div>
  )
}

export default SgeInit
