import { Button } from '@material-ui/core'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import { TimeStep } from 'enums'
import { DateTime } from 'luxon'
import React from 'react'
import {
  setCurrentIndex,
  setCurrentTimeStep,
  setSelectedDate,
} from 'store/chart/chart.slice'
import { useAppDispatch } from 'store/hooks'
import './TodayButton.scss'

export const TodayButton = () => {
  const { t } = useI18n()
  const dispatch = useAppDispatch()

  const handleToday = () => {
    const today = DateTime.local()
      .setZone('utc', {
        keepLocalTime: true,
      })
      .startOf('day')
    dispatch(setCurrentIndex(0))
    dispatch(setSelectedDate(today))
    dispatch(setCurrentTimeStep(TimeStep.WEEK))
  }

  return (
    <div className="todayButton">
      <Button
        onClick={handleToday}
        classes={{
          root: 'btnSecondary today',
          label: 'text-13-normal',
        }}
        size="small"
      >
        {t('timestep.today')}
      </Button>
    </div>
  )
}
