import { render, screen } from '@testing-library/react'
import userEvent from '@testing-library/user-event'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { WaterPricing } from './WaterPricing'

const store = createMockEcolyoStore()

describe('WaterPricing component', () => {
  it('should be rendered correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <WaterPricing />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })

  it('should open modal when click on button', async () => {
    render(
      <Provider store={store}>
        <WaterPricing />
      </Provider>
    )
    await userEvent.click(screen.getByRole('button'))
    expect(await screen.findByRole('dialog')).toBeInTheDocument()
  })
})
