import { render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import ConnectionNotFound from './ConnectionNotFound'

describe('ConnectionNotFound component test', () => {
  const konnectorSlug = 'enedissgegrandlyon'

  it('should correctly render connection not found', () => {
    const { container } = render(
      <ConnectionNotFound konnectorSlug={konnectorSlug} />
    )
    expect(container).toMatchSnapshot()
  })

  it('should open konnector url when button is clicked', async () => {
    global.open = jest.fn()
    render(<ConnectionNotFound konnectorSlug={konnectorSlug} />)
    await userEvent.click(screen.getByText('konnector_form.button_install'))
    expect(global.open).toHaveBeenCalledWith(
      'http://localhost/#/discover/enedissgegrandlyon',
      '_blank'
    )
  })
})
