import AddFluidIcon from 'assets/icons/ico/add-fluid.svg'
import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import { FluidType } from 'enums'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import { useAppSelector } from 'store/hooks'
import { getFluidName } from 'utils/utils'
import './konnectorViewerCard.scss'

const KonnectorViewerList = () => {
  const { t } = useI18n()
  const navigate = useNavigate()
  const { fluidStatus } = useAppSelector(state => state.ecolyo.global)

  const goToFluid = (fluidType: FluidType) => {
    navigate(`/consumption/${getFluidName(fluidType)}`)
  }

  return (
    <div className="konnector-section-root">
      <div role="list" className="konnectorsList">
        {fluidStatus.map(({ fluidType }) => {
          const fluidName = getFluidName(fluidType)
          return (
            <StyledCard
              role="listitem"
              key={fluidType}
              className="connection-card"
              onClick={() => goToFluid(fluidType)}
            >
              <StyledIcon icon={AddFluidIcon} size={40} />
              <div className={`konnector-title text-18-bold ${fluidName}`}>
                {t(`konnector_options.label_connect_to_${fluidName}`)}
              </div>
            </StyledCard>
          )
        })}
      </div>
    </div>
  )
}

export default KonnectorViewerList
