import { createTheme } from '@material-ui/core'

export const theme = createTheme({
  palette: {
    type: 'dark',
    primary: {
      main: '#F1C017',
      '500': '#579eff',
    },
    secondary: {
      main: '#F1C017',
    },
  },
  typography: { fontFamily: ['Lato'].join(',') },
  overrides: {
    MuiButton: {
      root: {
        height: 40,
      },
      sizeSmall: {
        height: 32,
      },
      sizeLarge: {
        height: 40,
      },
    },
    MuiLinearProgress: {
      determinate: {
        height: 6,
        borderRadius: 5,
        backgroundColor: 'transparent',
      },
      barColorPrimary: {
        backgroundColor: '#e3b82a',
      },
    },
    MuiInputBase: {
      input: {
        color: '#e0e0e0',
      },
    },
    MuiCheckbox: {
      root: {
        padding: 0,
      },
    },
    MuiButtonGroup: {
      root: {
        width: '100%',
        border: '1px solid var(--grey-2)',
        backgroundColor: 'var(--grey-1)',
        boxShadow: ' 0px 4px 16px 0px rgba(0, 0, 0, 0.12)',
        boxSizing: 'border-box',
        borderRadius: 43,
        padding: 8,
        gap: 12,
      },
    },
    MuiFormControlLabel: {
      root: {
        marginLeft: 0,
        marginRight: 0,
        boxSizing: 'border-box',
      },
    },
    MuiAccordion: {
      root: {
        boxShadow: ' 0px 4px 16px 0px rgba(0, 0, 0, 0.12)',
        '&.MuiAccordion-root:before': {
          backgroundColor: 'transparent',
        },
      },
    },
  },
})
